Bug 214527 - Review Request: perl-HTML-Table - Create HTML tables using simple interface
Review Request: perl-HTML-Table - Create HTML tables using simple interface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-07 18:30 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 14:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-11-07 18:30:21 EST
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-HTML-Table.spec
SRPM Name or Url:
http://www.cora.nwra.com/~orion/fedora/perl-HTML-Table-2.04a-1.fc6.src.rpm
Description: 

HTML::Table is used to generate HTML tables for CGI scripts.  By using the
methods provided fairly complex tables can be created, manipulated, then
 printed from Perl scripts.  The module also greatly simplifies creating
tables within tables from Perl.  It is possible to create an entire table
using the methods provided and never use an HTML tag.

HTML::Table also allows for creating dynamically sized tables via its addRow
and addCol methods.  These methods automatically resize the table if passed
more cell values than will fit in the current table grid.

Methods are provided for nearly all valid table, row, and cell tags specified
for HTML 3.0.
Comment 1 Kevin Fenzi 2006-11-11 22:38:46 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
12c107450c8759e9dc0f8dea91297132  HTML-Table-2.04a.tar.gz
12c107450c8759e9dc0f8dea91297132  HTML-Table-2.04a.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK i386/x86_64 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Any chance to get upstream to include a license file?
Thats not a blocker however, and thats the only issue I see...

this package is APPROVED.

Don't forget to close this bug NEXTRELEASE once it's been imported
and built.

Also, consider reviewing another package thats waiting to help
spread out the reviewing load.
Comment 2 Orion Poplawski 2006-11-16 14:08:26 EST
Thanks for the review.  Checked in and added to owners.list.

Note You need to log in before you can comment on or make changes to this bug.